# Generated by Django 2.2.11 on 2020-07-07 20:31

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('mentorship', '0051_auto_20200615_1201'),
    ]

    operations = [
        migrations.CreateModel(
            name='CronofyCacheSlot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_datetime', models.DateTimeField()),
                ('end_datetime', models.DateTimeField()),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('is_active', models.BooleanField(default=True)),
                ('mentor_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name='cronofycacheslot',
            constraint=models.UniqueConstraint(fields=('mentor_user', 'start_datetime'), name='unique_cronofycache_start'),
        ),
    ]
